Contents

GET /aml/$OFFICER_PUB/wallet-credit#

Obtain a wallet’s P2P incoming history data. Shows effective merges into a wallet (credit). Note that requests for payments that were not paid by the other party are not shown.

The endpoint was introduced in protocol v37.

Request:

Taler-AML-Officer-Signature:

The client must provide Base-32 encoded EdDSA signature with $OFFICER_PRIV, affirming the desire to obtain AML data. Note that this is merely a simple authentication mechanism, the details of the request are not protected by the signature.

Query Parameters:
  • thresholdOptional. minimum amount (“CURRENCY:VAL.FRAC”) to return. All amounts below the given threshold will be filtered.

  • limitOptional. takes value of the form N (-N), so that at most N values strictly older (younger) than start are returned. Defaults to -20 to return the last 20 entries (before start).

  • offsetOptional. Row number threshold, see delta for its interpretation. Defaults to INT64_MAX, namely the biggest row id possible in the database.

  • h_paytoOptional. Account selector using the normalized payto URI of the wallet. Information for all wallets is returned if this filter is absent, otherwise only transactions for this wallet. @since protocol v29.

Response:

200 OK:

The responds will be an ExchangeTransferList message.

204 No content:

There are no matching transactions.

403 Forbidden:

The signature is invalid.

404 Not found:

The designated AML account is not known.

409 Conflict:

The designated AML account is not enabled.

500 Internal Server Error:

The server experienced an internal error. This response comes with a standard ErrorDetail response with a code of TALER_EC_GENERIC_DB_FETCH_FAILED.